Subject: Re: bug#29956: 26.0.90; `d' in *VC-history*: Wrong type argument: sequencep, 47

From: Stefan Monnier <[email-masked]>
Date: Wed, 03 Jan 2018 15:30:06 -0500

>> Is it OK to install it into emacs-26, or should I keep it on `master`?
> It's okay for emacs-26, but I'm curious why did you need the
> default-directory part.  Is that related to the problem?

I first tried by just setting log-view-vc-fileset to (list file) but
that gave me an error which gave me the impression that the fileset
should be composed of relative file names, and since the buffer can be
reused it's important to set default-directory properly before we can
use relative file names.

        Stefan